      PROGRAM MATVEC
      REAL A(30,30), X(30)
      WRITE(*,*) 'Dwse tn diastasn N:'
      READ(*,*) N
      WRITE(*,*) 'Dwse ta stoixeia tou pivaka (kata grammes):'
      DO 10 I = 1,N
        READ(*,*) (A(I,J), J = 1,N)
   10 CONTINUE
      WRITE(*,*) 'Dwse ta stoixeia tou diavusmatos'
      READ(*,*) (X(I), I = 1,N)
      WRITE(*,*) 'To diavusma eivai:'
      DO 20 I = 1,N
        S = 0.0
        DO 30 J = 1,N
          S = S + A(I,J)*X(J)
   30   CONTINUE
        WRITE(*,*) S
   20 CONTINUE
      STOP
      END

